.configurator {
    background: #FFFFFF;
    box-shadow: 0px 3px 7px rgba(0, 0, 0, 0.05);
    border-radius: 4px;
    padding: 20px 30px 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    max-width: 1145px;
    width: 100%;
    margin: 0 auto;
}

.configurator .custom-select {
    margin-bottom: 0;
}

.configurator__title {
    width: 22%;
}

.configurator__title::before {
    content: '';
    position: absolute;
    width: 2px;
    height: 45px;
    left: 0;
    top: 25px;
    background: #EE6B16;
    border-radius: 3px 3px 0px 0px;
}

.configurator__title-note {
    font-weight: 400;
    font-size: 14px;
}

#configurator-form-pjax {
    width: 78%;
    display: flex;
}

.configurator__form {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.configurator .custom-select {
    min-width: 160px;
}

.configurator--for-catalog {
    flex-direction: column;
    max-width: 265px;
    margin: 0 30px 0 0;
    padding: 0;
}

.configurator--for-catalog .configurator__title {
    width: 100%;
    padding: 15px 20px;
    border-bottom: 1px solid #EDEDED;
    position: relative;
    font-size: 18px;
}

.configurator--for-catalog .configurator__title-note {
    display: none;
}

.configurator--for-catalog #configurator-form-pjax {
    width: 100%;
}
.configurator--for-catalog .configurator__form {
    width: 100%;
    padding: 15px 20px;
    flex-direction: column;
}

.configurator--for-catalog .configurator__title {
    margin-bottom: 15px;
}

.configurator--for-catalog .configurator__title::before {
    content: none;
}

.configurator--for-catalog .configurator__title::after {
    content: '';
    width: 138px;
    height: 2px;
    background: #EE6B16;
    border-radius: 3px 3px 0px 0px;
    position: absolute;
    bottom: -1px;
    left: 20px;
}

.configurator--for-catalog .custom-select {
    width: 100%;
    margin-bottom: 20px;
}

.configurator--for-catalog .configurator__form-submit {
    width: 100%;
}

.configurator__toggle {
    display: none;
    transition: 300ms ease;
}

@media screen and (max-width: 1144px) {
    .configurator {
        max-width: 960px;
        flex-wrap: wrap;
    }
    .configurator__title {
        width: 100%;
        margin-bottom: 20px;
    }
    #configurator-form-pjax {
        width: 100%;
    }
    .configurator--for-catalog {
        max-height: 50px;
        overflow: hidden;
        max-width: 400px;
        margin-bottom: 30px;
        transition: 300ms ease all;
    }
    .configurator--for-catalog .configurator__toggle {
        display: block;
        position: absolute;
        right: 20px;
        top: 10px;
        font-size: 22px;
    }
}

@media screen and (max-width: 989px) {
    .configurator {
        max-width: 738px;
    }
    .configurator__form {
        flex-wrap: wrap;
    }
    .configurator__form-group {
        margin-top: 10px;
        width: 100%;
    }
    .configurator__form-submit {
        width: 100%;
        text-align: center;
    }
    .configurator--for-catalog {
        max-width: 400px;
    }
}

@media screen and (max-width: 767px) {
    .configurator {
        max-width: 420px;
    }
    .configurator .custom-select {
        margin-bottom: 20px;
    }
    .configurator__form-group {
        margin-top: 0;
    }
    .configurator--for-catalog {
        max-width: 100%;
    }
}

@media screen and (max-width: 479px) {
    .configurator {
        max-width: 300px;
    }
    .configurator__form {
        justify-content: center;
    }
    .configurator .custom-select {
        width: 100%;
    }
}

.configurator--opened {
    max-height: 1000px;
}

.configurator--opened .configurator__toggle {
    transform: rotate(180deg);
}